Public Member Functions | Public Attributes | List of all members
libcdr::CDRFillStyle Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRFillStyle ()
| CDRFillStyle (unsigned short ft, CDRColor c1, CDRColor c2, const CDRGradient &gr, const CDRImageFill &img)

## Public Attributes
unsigned short | fillType
CDRColor | color1
CDRColor | color2
CDRGradient | gradient
CDRImageFill | imageFill

## Constructor & Destructor Documentation

## ◆ CDRFillStyle() [1/2]

libcdr::CDRFillStyle::CDRFillStyle | ( |  | ) |
| inline

## ◆ CDRFillStyle() [2/2]

libcdr::CDRFillStyle::CDRFillStyle | ( | unsigned short | ft,
|  | CDRColor | c1,
|  | CDRColor | c2,
|  | const CDRGradient & | gr,
|  | const CDRImageFill & | img
| ) |  |
| inline

## Member Data Documentation

## ◆ color1

CDRColor libcdr::CDRFillStyle::color1

Referenced by libcdr::CDRParser::_readX6StyleString().

## ◆ color2

CDRColor libcdr::CDRFillStyle::color2

Referenced by libcdr::CDRParser::_readX6StyleString().

## ◆ fillType

unsigned short libcdr::CDRFillStyle::fillType

Referenced by libcdr::CDRParser::_readX6StyleString(), and libcdr::CDRStyle::overrideStyle().

## ◆ gradient

CDRGradient libcdr::CDRFillStyle::gradient

Referenced by libcdr::CDRContentCollector::_fillProperties().

## ◆ imageFill

CDRImageFill libcdr::CDRFillStyle::imageFill

The documentation for this struct was generated from the following file:

- CDRTypes.h